XOrg-7.2 - libXcb

Matthew Burgess matthew at linuxfromscratch.org
Sat Jun 30 15:39:58 PDT 2007


Hi folks.

Trying to compile libX11 according to latest SVN, I get:

checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XPROTO... yes
checking for X11... configure: error: Package requirements (xextproto xtrans 
xcb-xlib >= 0.9.92) were not met:

No package 'xcb-xlib' found

Well, that's pretty clear, and is absolutely correct but leaves me with a 
couple of questions:

1) The book instructions mention that XCB is "optional", whereas libX11 pretty 
clearly wants/expects it to be there.  Therefore, should it be upgraded 
to "recommended"? (I have noted the book mentions the --without-xcb configure 
option, btw).

2) The links to XCB on the xorg-libs page are incorrect - they should point to  
http://xcb.freedesktop.org/ not http://xcb.freedesktop.org/wiki/ which 404's.

3) Is there a reason XCB was not added to the book?  (It needs the 
libpthread-stubs package and xsltproc from a quick look at the dependencies).

Thanks,

Matt.



More information about the blfs-dev mailing list